<?php

class verotel_flexpayCallbackModuleFrontController extends ModuleFrontController
{

	public function postProcess()
	{
        if ( !FlexPay::validate_signature( Configuration::get('VEROTEL_FLEXPAY_SIGNATURE'), $_GET ) ){
			die('ERROR: Invalid signature.');
        }

        $cart = new Cart($_GET['custom1']);
		$customer = new Customer($cart->id_customer);

		if (!Validate::isLoadedObject($customer))
			die('ERROR: Invalid customer object.');

        $this->module->approve_cart(
            $cart, floatval($_GET['priceAmount']), $_GET['priceCurrency'],
            $_GET['custom2']
        );

        print('OK');
        die();
    }
}

include("../../FlexPay.php");
